Skip to main content

Workspace Transitive Parent Group

View as Markdown

Represents a group that is a transitive parent of a principal.

TransitiveParentGroup object

Represents a group that is a transitive parent of a principal.

account_idstringBeta

The parent account ID for group in <Databricks>.

group_idstringBeta

Internal group ID of the group in <Databricks>.

external_idstringBeta

ExternalId of the group in the customer's IdP.

List Beta

GET /api/2.0/identity/principals/{principal_id}/transitive-parent-groups

Lists all transitive parent groups of a principal.

API scopes: identity

Parameters

principal_idint64path

Required. Internal ID of the principal in <Databricks> whose transitive parent groups are being listed.

page_sizeint32query

The maximum number of parent groups to return. The service may return fewer than this value. If not provided, defaults to 1000 (also the maximum allowed).

page_tokenstringquery

A page token, received from a previous ListTransitiveParentGroups call. Provide this to retrieve the subsequent page.

Response

Returns a list of TransitiveParentGroup objects.